module sic_interfaces_none
  interface
    subroutine sic_build
      use ieee_arithmetic
      use gbl_message
      use sic_dictionaries
      use sic_interactions
      use sic_structures
      !---------------------------------------------------------------------
      ! SIC   External routine
      !       Initialize SIC
      !---------------------------------------------------------------------
      ! Local
    end subroutine sic_build
  end interface
  !
  interface
    subroutine sic_nolog
    end subroutine sic_nolog
  end interface
  !
  interface
    subroutine tmp_print(iarray,n)
      integer(kind=8) n
      integer iarray(n)
    end subroutine tmp_print
  end interface
  !
  interface
    subroutine sub_table_density(table,cols,image,dims,output,percent,error)
      use image_def
      use gbl_message
      !
      character(len=*), intent(inout) :: table, image, output
      integer(kind=4), intent(in) :: cols(2),dims(2)
      real, intent(in) :: percent
      logical, intent(out) :: error
    end subroutine sub_table_density
  end interface
  !
end module sic_interfaces_none
